define(MC_TITLE,runbench)
define(MC_DATE,98/05/14)
include(mc_html_head.h)
<!-- @(#) runbench.in 1.4@(#) -->
</UL><FONT SIZE=+1><STRONG>NAME</STRONG></FONT><UL>
runbench - WebStone benchmark run management script
</UL><FONT SIZE=+1><STRONG>SYNOPSIS</STRONG></FONT><UL>
<STRONG>runbench</STRONG>
</UL><FONT SIZE=+1><STRONG>DESCRIPTION</STRONG></FONT><UL>
<P>
<STRONG>runbench</STRONG>
(<STRONG>runbench.pl</STRONG> on Windows NT)
is called by the
<STRONG>webstone</STRONG>
script (command line) or by the
<STRONG>runbench.wpl</STRONG>
script (GUI) to do the real work of setting up a series of WebStone
benchmark runs, calling
<STRONG>webmaster</STRONG>
to actually do the runs, and archiving the results.
<P>
The test run parameters are set on the basis of environment
variables that
<STRONG>runbench</STRONG>
takes from the
<STRONG>conf/testbed</STRONG>
file, and by the URLs and weights in
<STRONG>conf/filelist</STRONG>,
which determine the specific HTTP requests that the WebStone benchmark will
make.
</UL><FONT SIZE=+1><STRONG>OPTIONS</STRONG></FONT><UL>
<P>
None.
</UL><FONT SIZE=+1><STRONG>FILES</STRONG></FONT><UL>
<BR><STRONG>conf/testbed</STRONG>
This file is a shell script that is sourced by
<STRONG>runbench</STRONG>.
It contains only shell variable assignments (see "ENVIRONMENT", below),
'#'-delimited shell comments, and blank lines.
<BR><STRONG>conf/filelist</STRONG>
For each URL to be used to generate the test load, the URL list
has an entry with the following form.  Comments and blank lines in
the list are ignored.  Each comment starts with a hash character ('#')
and continues to the end of the line.
<UL>
<P>
<TT>
&lt;URL&gt; &lt;weight&gt; [#&lt;comment&gt;]
</TT>
</UL>
</UL><FONT SIZE=+1><STRONG>ENVIRONMENT</STRONG></FONT><UL>
<STRONG>runbench</STRONG>
takes its parameters from the
<STRONG>conf/testbed</STRONG>
file by sourcing the file (". ../conf/testbed").  The following
variables are used:
include(testbed.h)
<P>
</UL><FONT SIZE=+1><STRONG>AUTHOR</STRONG></FONT><UL>
include(copyright.h)
</UL><FONT SIZE=+1><STRONG>LIMITATIONS</STRONG></FONT><UL>
<P>
</UL><FONT SIZE=+1><STRONG>SEE ALSO</STRONG></FONT><UL>
<A href=webclient.html>webclient(1)</A>,
<A href=webmaster.html>webmaster(1)</A>,
<A href=webstone.html>webstone(1)</A>,
<A href=webstonegui.html>webstonegui(1)<A>
include(mc_html_foot.h)
